#!/usr/bin/perl
################################################################################
# eWLA (e Web Log Analyzer)                         Version 0.1                #
# Copyright 2000 Frederic TYNDIUK (FTLS)            All Rights Reserved.       #
# E-Mail: tyndiuk@ftls.org                          Script License: GPL        #
# Created  05/31/00                                 Last Modified 05/25/00     #
# Scripts Archive at:                               http://www.ftls.org/cgi/   #
################################################################################
# Creates multi-page HTML reports of Apache log statistics.                    #
#   Create help Pages.                                                         #
################################################################################
########################## license & copyright header ##########################
#                                                                              #
#                     Copyright (c) 2000 by TYNDIUK Frederic                   #
#                                                                              #
#       This program is free software; you can redistribute it and/or          #
#       modify it under the terms of the GNU General Public License as         #
#       published by the Free Software Foundation; either version 2 of         #
#       the License, or (at your option) any later version.                    #
#                                                                              #
#       This program is distributed in the hope that it will be useful,        #
#       but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#       GNU General Public License for more details.                           #
#                                                                              #
#       You should have received a copy of the GNU General Public License      #
#       along with this program in the file 'COPYING'; if not, write to        #
#       the Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
#       Boston, MA 02111-1307, USA, or contact the author:                     #
#                                                                              #
#                                   TYNDIUK Frederic <tyndiuk@ftls.org>        #
#                                            <http://www.ftls.org/>            #
#                                                                              #
######################## end license & copyright header ########################
################################################################################
# Optionals  Variables:                                                        #

use strict;
require 'ewla_lib.pl';

my %params;
$params{'ConfigFile'} = "ewla.cfg";

# Nothing Below this line needs to be altered!                                 #
################################################################################
#    DO NOT EDIT ANYTHING BELOW THIS LINE UNLESS YOU KNOW WHAT YOU'RE DOING    #
################################################################################

########################################
# Init                                 #
########################################

my $COPYRIGHT  = "eWLA v0.1 (C) 2000 Frederic TYNDIUK (alias FTLS)\n";
   $COPYRIGHT .= "Report bugs to tyndiuk\@ftls.org, News and Updates: http://www.ftls.org/\n\n";

my $DEBUG = 0;

my (%template_infos, %language, %menu_data);

%params = &read_args(%params);
%params = &load_data_from_config_file(%params);

my $reports_dir = $params{'OutputDir'};

if ($params{'TemplateImgDir'}) {
	if (! -e "$reports_dir/images/") {
		mkdir ("reports_dir/images/", 0755); 
		warn "Image dir not created, Have you copied images into reports_dir/images/ ?\n"
	}
}

my $help_dir =  $reports_dir."/help/";

# Load Languge file (for help text);
print "Loading language file\n" if ($DEBUG);
my @lang = &load_txt_file($params{'LangFile'}, 'language');
my $i = "00";
foreach(@lang) {
	if ((! /^#/) && (/ : /)) {
		chomp($_);
		my @info = split (/\s*:\s*/, $_, 2);
		if (/^menu_(\d)_*(.*)$/) {
			my $no = $1;
			my ($m, $t) = split(/\s*:\s*/, $2);
			if ($m ne "")  {
				$i++;
				$menu_data{$m} = "$no|$i|$t";
			}
		} else {
			s/^\s*|\n//g;
			$language{$info[0]} = $info[1];
		}
	}
}

########################################
# Make help pages :                    #
########################################
print $COPYRIGHT;
print "Make help pages\n";

if (! -e $help_dir) {
	mkdir ("$help_dir", 0755);
}

foreach (keys %menu_data) {
	if (! /^\d/) {
		my $id = $_;
		$template_infos{'title_head_help'} = $language{$id."_title_head_help"};
		$template_infos{'txt_help'}        = $language{$id."_txt_help"};
		my $tmp = &repace_into_template_file($params{'TemplateHelp'}, %template_infos);
		&save_txt_file($help_dir.$id.".html", "help id", $tmp);
	}
}
